com.independentsoft.exchange

## Class AbsoluteDateTransition

- java.lang.Object
- - com.independentsoft.exchange.Transition
  - - com.independentsoft.exchange.AbsoluteDateTransition

-     public class AbsoluteDateTransition
      extends Transition

  Represents a time zone transition that occurs on a specific date and at a specific time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsoluteDateTransition()` Instantiates a new absolute date transition.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()` Get the date and time at which the time zone transition occurs.
    `void` | `setDate(java.util.Date date)` Set the date and time at which the time zone transition occurs.
    `java.lang.String` | `toString()` Converts the value of the current Transition object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Transition

      `getTarget, getTargetDescription, setTarget, setTargetDescription`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbsoluteDateTransition

          public AbsoluteDateTransition()

      Instantiates a new absolute date transition.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Transition`
      Converts the value of the current Transition object to its equivalent string representation.
      Overrides:
        `toString` in class `Transition`
      Returns:
        the string

    - #### getDate

          public java.util.Date getDate()

      Get the date and time at which the time zone transition occurs.
      Returns:
        the date

    - #### setDate

          public void setDate(java.util.Date date)

      Set the date and time at which the time zone transition occurs.
      Parameters:
        `date` - the new date